/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpdatePlaybookRunRequest {
    /// Zero-based index of the stage that will be made active.
    #[serde(rename = "active_stage", skip_serializing_if = "Option::is_none")]
    pub active_stage: Option<i32>,
}

impl UpdatePlaybookRunRequest {
    pub fn new() -> UpdatePlaybookRunRequest {
        UpdatePlaybookRunRequest { active_stage: None }
    }
}
